### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# utils.py3compat

## Module: `utils.py3compat`

Compatibility tricks for Python 3. Mainly to do with unicode.

## Functions

`IPython.utils.py3compat.``cast_bytes`(s, encoding=None)

`IPython.utils.py3compat.``cast_unicode`(s, encoding=None)

`IPython.utils.py3compat.``decode`(s, encoding=None)

`IPython.utils.py3compat.``encode`(u, encoding=None)

`IPython.utils.py3compat.``no_code`(x, encoding=None)

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »